Bug 1166611 - Extend golang %files section with golang.org/x directory ownership
Summary: Extend golang %files section with golang.org/x directory ownership
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 22
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 11:11 UTC by Jan Chaloupka
Modified: 2015-10-01 20:23 UTC (History)
7 users (show)

Fixed In Version: golang-1.5.1-0.fc22 golang-1.5.1-0.el6 golang-1.5.1-0.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-01 18:51:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Chaloupka 2014-11-21 11:11:30 UTC
Description of problem:
https://groups.google.com/forum/#!topic/golang-nuts/eD8dh3T9yyA
First post:

...
This list shows the current base import paths, and their new equivalents.

code.google.com/p/go.benchmarks -> golang.org/x/benchmarks
code.google.com/p/go.blog -> golang.org/x/blog
code.google.com/p/go.crypto -> golang.org/x/crypto
code.google.com/p/go.exp -> golang.org/x/exp
code.google.com/p/go.image -> golang.org/x/image
code.google.com/p/go.mobile -> golang.org/x/mobile
code.google.com/p/go.net -> golang.org/x/net
code.google.com/p/go.sys -> golang.org/x/sys
code.google.com/p/go.talks -> golang.org/x/talks
code.google.com/p/go.text -> golang.org/x/text
code.google.com/p/go.tools -> golang.org/x/tools
...

import paths are being extended for new equivalents starting with "golang.org/x/..."

Version-Release number of selected component (if applicable):
golang-1.3.99-2.1.4rc1.fc22

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --provides golang | grep golang.org

Actual results:
Empty result

Expected results:
/usr/share/gocode/src/golang.org
/usr/share/gocode/src/golang.org/x

Additional info:
Extend ownership for all branches (at least el6, f20,f21,master)

Comment 1 Jan Chaloupka 2014-12-10 11:26:42 UTC
The ownership should be extended with the below as well:
/usr/share/gocode/src/gopkg.in

Comment 2 Jaroslav Reznik 2015-03-03 16:31:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Update System 2015-09-03 13:43:30 UTC
golang-1.5-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14970

Comment 5 Fedora Update System 2015-09-03 13:46:30 UTC
golang-1.5-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14972

Comment 6 Fedora Update System 2015-09-04 06:53:07 UTC
golang-1.5-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14972

Comment 7 Fedora Update System 2015-09-04 07:29:43 UTC
golang-1.5-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14970

Comment 8 Fedora Update System 2015-09-04 15:47:41 UTC
golang-1.5-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7912

Comment 9 Fedora Update System 2015-09-04 23:20:12 UTC
golang-1.5-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15108

Comment 10 Fedora Update System 2015-09-11 15:31:22 UTC
golang-1.5.1-0.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15618

Comment 11 Fedora Update System 2015-09-11 15:31:36 UTC
golang-1.5.1-0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044

Comment 12 Fedora Update System 2015-09-11 15:31:56 UTC
golang-1.5.1-0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619

Comment 13 Fedora Update System 2015-09-13 03:49:20 UTC
golang-1.5.1-0.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15618

Comment 14 Fedora Update System 2015-09-13 04:20:36 UTC
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619

Comment 15 Fedora Update System 2015-09-14 01:50:39 UTC
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044

Comment 16 Fedora Update System 2015-10-01 18:50:49 UTC
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-10-01 18:56:26 UTC
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-10-01 20:22:50 UTC
golang-1.5.1-0.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.